Description: compile_with_split_files
Forwarded: not-needed
 Use gcl's *split-files* to break up excessively large generated C code.
Author: Camm Maguire <camm@debian.org>

---
The information above should follow the Patch Tagging Guidelines, please
checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: <vendor|upstream|other>, <url of original patch>
Bug: <url in upstream bugtracker>
Bug-Debian: https://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: <no|not-needed|url proving that it has been forwarded>
Reviewed-By: <name and email of someone who approved the patch>
Last-Update: 2019-12-30

Index: acl2-8.5dfsg/GNUmakefile
===================================================================
--- acl2-8.5dfsg.orig/GNUmakefile
+++ acl2-8.5dfsg/GNUmakefile
@@ -440,7 +440,7 @@ full: TAGS
 compile:
 	rm -f workxxx
 	echo '(load "init.lisp")' > workxxx
-	echo '(acl2::compile-acl2 $(USE_ACL2_PROCLAIMS))' >> workxxx
+	echo '(let (#+gcl(compiler::*split-files* 1000000))(acl2::compile-acl2 $(USE_ACL2_PROCLAIMS)))' >> workxxx
 	echo '(acl2::exit-lisp)' >> workxxx
 	${LISP} < workxxx
 	@$(MAKE) check_compile_ok
